import React, { useMemo } from "react";
import { PisellModal } from "@pisell/materials";
import "./index.less";
//#region src/components/appointmentBooking/components/Guest/components/InformationOptionsModal/index.tsx
const GuestOptionsModal = (props) => {
	const { open, onCancel, options, onClick, holderItem } = props;
	const lists = useMemo(() => {
		let _options = [...options];
		if (!(holderItem === null || holderItem === void 0 ? void 0 : holderItem.isGuest)) _options = _options.filter((option) => option.key !== "remove");
		return _options;
	}, [options]);
	return /* @__PURE__ */ React.createElement(PisellModal, {
		open,
		platform: "h5",
		closable: true,
		bodyStyle: { padding: "0 24px" },
		destroyOnClose: true,
		footer: null,
		onCancel,
		mobileModalHeight: "auto",
		className: "guest-option-modal",
		headerDivider: false
	}, /* @__PURE__ */ React.createElement("div", { className: "guest-options-wrap" }, lists.map((item) => {
		return /* @__PURE__ */ React.createElement("div", {
			key: item.key,
			className: `guest-options-wrap-item ${item.key === "remove" ? "remove" : ""}`,
			onClick: () => onClick(item)
		}, item.label);
	})));
};
//#endregion
export { GuestOptionsModal as default };
